I need help please!

Discussion in 'iPod touch' started by SuedeCigarette, Feb 28, 2011.

  1. SuedeCigarette macrumors newbie

    Joined:
    Feb 26, 2011
    #1
    I bought an ipod touch 3g from ebay, it works great but the problem is it uses version 4.2.1. Itunes will not allow it to connect because I have itunes 9.2 because I have an ibookG4 with Mac OS X 10.4.11. I've looked into what I think is almost every option but maybe you all have ideas I havent tried. Thanks!
     
  2. Night Spring macrumors G5

    Night Spring

    Joined:
    Jul 17, 2008
    #2
    Have you tried downloading TinyUmbrella to see if your iPod has SHSH saved?
     
  3. theconverseguy macrumors newbie

    theconverseguy

    Joined:
    Feb 28, 2011
    Location:
    Pacific NW
    #3
    i ran into the same problem on my ibook g4. basically, you need to downgrade your ipod to 3.x or sync on a different machine. powerpc is an official dinosaur. :(
     
  4. stridemat Moderator

    stridemat

    Staff Member

    Joined:
    Apr 2, 2008
    Location:
    UK
    #4
    Unless your very lucky, your out of luck. Try the TinyUmbrella option.
     

Share This Page